io.etcd.jetcd.maintenance

## Class AlarmMember

- java.lang.Object
- - io.etcd.jetcd.maintenance.AlarmMember

    public class AlarmMember
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AlarmMember(long memberId, AlarmType alarmType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AlarmType` `getAlarmType()` returns the type of alarm which has been raised.
`long` `getMemberId()` returns the ID of the member associated with the raised alarm.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlarmMember

    public AlarmMember(long memberId,
                       AlarmType alarmType)

### Method Detail

#### getMemberId

    public long getMemberId()

returns the ID of the member associated with the raised alarm.

#### getAlarmType

    public AlarmType getAlarmType()

returns the type of alarm which has been raised.